<?php
/*
|--------------------------------------------------------------------------
| tester 体验者设置
|--------------------------------------------------------------------------
*/
namespace Wechat_component\Applet\Src;

use Dever;
use Token\Lib\Wechat;
use Component\Src\Core;

class Publish extends Core
{
	public $table = 'wechat_component_applet/publish';

	public function submit()
	{
		$id = Dever::input('id');
		$info = Dever::db('wechat_component_applet/version')->one($id);
		$user = explode(',', $info['user']);
		foreach ($user as $k => $v) {
			$param = array();
			$param['user_id'] = $v;
			$param['project_id'] = $info['project_id'];
			$param['version_id'] = $info['id'];
			$param['name'] = $info['name'];
			$param['status'] = 1;
			$id = Dever::upinto('wechat_component_applet/publish', array('option_user_id' => $v, 'option_project_id' => $param['project_id'], 'option_name' => $param['name']), $param);
			$this->set($v, $id);
		}
		Dever::alert('提交成功，请到发布历史中查看发布状态');
		return;
	}

	public function handle($oauth, $info, $delete, $user, $wechat)
	{
		$oauth['method'] = 'applet_publish';
		return $oauth;
	}
}