<?php
/*
|--------------------------------------------------------------------------
| tester 体验者设置
|--------------------------------------------------------------------------
*/
namespace Wechat_component\Src;

use Dever;
use Token\Lib\Wechat;

class User
{
	public function logo($id)
	{
		$info = Dever::db('wechat_component/user')->one($id);
		$oauth = Dever::db('token/oauth')->one($info['oauth_id']);
		$wechat = new Wechat($info['project_id'], 'component');
		$oauth['oauth'] = $oauth['id'];
		$oauth['path'] = 'pages/index/index';
		$param = $wechat->param('applet_qrcode', $oauth, false);
		$url = $param['url'];
		$html['LOGO'] = '<img src="'.$info['pic'].'"  width="150" />';
		$html['正式版'] = '<img src="'.$info['qrcode'].'"  width="150" />';
		if ($url) {
			//$version = Dever::db('wechat_component/version')->one($id);
			$html['体验版'] = '<img src="'.$url.'"  width="150" />';
		}
		

		$html = Dever::table($html);
		return $html;
	}

	public function qrcode($uid, $id)
	{
		$version = Dever::db('wechat_component/version_log')->one($id);
		$info = Dever::db('wechat_component/user')->one($uid);
		$oauth = Dever::db('token/oauth')->one($info['oauth_id']);
		$wechat = new Wechat($info['project_id'], 'component');
		$oauth['oauth'] = $oauth['id'];
		$oauth['path'] = 'pages/index/index';
		$param = $wechat->param('applet_qrcode', $oauth, false);
		$url = $param['url'];
		$html['返回信息'] = $version['result'];
		if ($url) {
			$html['体验版'] = '<img src="'.$url.'"  width="150" />';
		}

		$html = Dever::table($html);
		return $html;
	}
}